- NAME
- SYNOPSIS
- DESCRIPTION

# NAME

RT::ExternalStorage::Disk - On-disk storage of attachments

# SYNOPSIS

        Set(%ExternalStorage,
            Type => 'Disk',
            Path => '/opt/rt4/var/attachments',
        );

# DESCRIPTION

This storage option places attachments on disk under the given `Path`, uncompressed. The files are de-duplicated when they are saved; as such, if the same file appears in multiple transactions, only one copy will be stored on disk.

The `Path` must be readable by the web server, and writable by the `sbin/rt-externalize-attachments` script. Because the majority of the attachments are in the filesystem, a simple database backup is thus incomplete. It is extremely important that backups include the on-disk attachments directory.

Files also `must not be modified or removed`; doing so may cause internal inconsistency.

← Back to index